dbsql/test/scr006/chk.offt

25 lines
357 B
Bash

#!/bin/sh -
#
# Make sure that no off_t's have snuck into the release.
d=../..
[ -f $d/LICENSE ] || {
echo 'FAIL: cannot find source distribution directory.'
exit 1
}
t=__1
trap 'rm -f $t1' 0 1 2 3 13 15
egrep -w off_t $d/*/*.[ch] $d/*/*.in |
sed -e "/_/d" > $t
test -s $t && {
cat $t
echo "FAIL: found questionable off_t usage"
exit 1
}
exit 0